
Redmine - Patch #2112

GLoc plugin available from hook

2008-10-30 15:10 - Diego Sousa

Status: Closed Start date: 2008-10-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Description

in file /vendor/plugins/gloc**/lib/gloc-rails.rb

insert in the last line

module Redmine

  module Hook

      include GLoc

  end

end

 with this hooks can use GLoc plugin

Associated revisions

Revision 2005 - 2008-11-10 13:23 - Jean-Philippe Lang

Include GLoc in hook listener base class (#2112).

History

#1 - 2008-11-10 13:24 - Jean-Philippe Lang

- Category set to Plugin API

- Status changed from New to Resolved

Actually, it should be included in Redmine::Hook::Listener instead if you want to use GLoc methods in your listeners. It's done in r2005.

Am I missing something?

#2 - 2008-11-10 17:40 - Eric Davis

Jean-Philippe Lang wrote:

Am I missing something?

 That should be fine.  I've used the full class method in my hooks before this:

# http://github.com/edavis10/redmine-budget-plugin/tree/master/lib/budget_project_hook.rb

return "<th>#{GLoc.l(:label_member_rate) }</th>" 

#3 - 2008-11-10 21:21 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks Eric. Reopen if needed.
